using System;
using System.Web;

namespace Intelligencia.UrlRewriter.Errors
{
	/// <summary>
	/// Summary description for DefaultErrorHandler.
	/// </summary>
	internal class DefaultErrorHandler : IRewriteErrorHandler
	{
		/// <summary>
		/// Constructor.
		/// </summary>
		/// <param name="url">Url of the error page.</param>
		public DefaultErrorHandler(string url)
		{
			_url = url;
		}

		/// <summary>
		/// Handles the error by rewriting to the error page url.
		/// </summary>
		/// <param name="context">The context.</param>
		public void HandleError(HttpContext context)
		{
			context.Server.Execute(_url);
		}

		private string _url;
	}
}
